.signup-form {
  display: flex;
  flex-direction: column;
  width: 100%;
  max-width: 400px;
  gap: 12px;
  margin-top: 50px;
}

.heading1{
  font-size: 20px;
  font-weight: 300px;
  font-family: 'Montserrat', sans-serif;
  margin-bottom: 10px;
}

.signup-form label {
  font-weight: 500;
  font-size: 14px;
  margin-left: 10px;
}

.signup-form input {
  height: 50px;
  background-color: #dde3f5;
  padding: 0 16px;
  font-size: 16px;
  border: 0.4px solid #b1afaf;
  border-radius: 30px;
  outline: none;
  transition: border 0.3s, background-color 0.3s;
}

.signup-form input:focus {
  border-color: #4a90e2;
}

.signup-form .submit {
  height: 50px;
  margin-top: 10px;
  padding: 12px;
  background-color: #4a90e2;
  color: white;
  font-size: 16px;
  font-weight: bold;
  border: none;
  border-radius: 30px;
  cursor: pointer;
  transition: background 0.3s;
}

.signup-form input:focus {
  border-color: #4a90e2;
  background-color: #e4ecff; /* ফোকাসে আরও হালকা ব্লু */
}


/* Google login */
.social-login {
  max-width: 400px;
  display: flex;
  gap: 16px;
  justify-content: center;
  margin-top: 0px;
}

.social-btn {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 8px;
  padding: 12px 20px;
  border: 0.3px solid #6b6b6b;
  border-radius: 30px;
  background-color: transparent;
  font-size: 14px;
  cursor: pointer;
  margin-top: 5px;
  transition: background 0.3s, box-shadow 0.3s;
}


.social-btn img {
  width: 20px;
  height: 20px;
}


/* Text button */
.text-buttons {
  margin-top: 80px;
  max-width: 400px;
  width: 100%;
  display: flex;
  justify-content: space-between;
  font-size: 14px;
  color: #686767;
  font-family: 'Montserrat', sans-serif;
}

/* Sign in link */
.sign-in-link {
  text-decoration: underline;
  color: #222222;
  cursor: pointer;
}

.sign-up-link {
  text-decoration: underline;
  color: #222222;
  cursor: pointer;
}

/* Terms link */
.terms-link {
  text-decoration: underline;
  color: #333;
  transition: color 0.3s;
}

.terms-link:hover {
  color: #da3131;
}

.sign-in-link:hover{
 color: #da3131; 
}

.sign-up-link:hover{
 color: #da3131; 
}

/* Login form */
.login-form {
  padding-top: 20px;
  display: flex;
  flex-direction: column;
  gap: 12px;
  max-width: 400px;
  width: 100%;
  margin-top: 30px;
  font-family: 'Montserrat', sans-serif;
}


.login-form label {
  font-weight: 500;
  font-size: 14px;
  margin-left: 10px;
}

.login-form input {
  height: 50px;
  background-color: #dde3f5;
  padding: 0 16px;
  font-size: 16px;
  border: 0.4px solid #b1afaf;
  border-radius: 30px;
  outline: none;
  transition: border 0.3s, background-color 0.3s;
}

.login-form .submit {
  height: 50px;
  margin-top: 10px;
  padding: 12px;
  background-color: #4a90e2;
  color: white;
  font-size: 16px;
  font-weight: bold;
  border: none;
  border-radius: 30px;
  cursor: pointer;
  transition: background 0.3s;
}